This is an archived snapshot of W3C's public bugzilla bug tracker, decommissioned in April 2019. Please see the home page for more details.

Bug 28260 - [webvtt] zero or more characters? [I18N-ISSUE-426]
Summary: [webvtt] zero or more characters? [I18N-ISSUE-426]
Status: RESOLVED FIXED
Alias: None
Product: TextTracks CG
Classification: Unclassified
Component: WebVTT (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: Web Media Text Tracks CG
URL:
Whiteboard: widereview
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-22 00:10 UTC by Silvia Pfeiffer
Modified: 2015-11-23 18:38 UTC (History)
5 users (show)

See Also:


Attachments

Description Silvia Pfeiffer 2015-03-22 00:10:49 UTC
Feedback by Addison Phillips from W3C I18N group:
http://lists.w3.org/Archives/Public/public-tt/2015Mar/0059.html

I18N comment: https://www.w3.org/International/track/issues/426

http://www.w3.org/TR/webvtt1/#webvtt-file-structure

A number of tokens are described as being a sequence of "zero or more" of something. Here are a few examples:

--
A WebVTT cue settings list consist of a sequence of zero or more WebVTT cue settings in any order, separated from each other by one or more U+0020 SPACE characters
--
A WebVTT cue setting name and a WebVTT cue setting value each consist of any sequence of zero or more characters other than U+000A LINE FEED (LF) characters and U+000D CARRIAGE RETURN (CR) characters except that the entire resulting string must not contain the substring "-->" (U+002D HYPHEN-MINUS, U+002D HYPHEN-MINUS, U+003E GREATER-THAN SIGN).
--

A zero-length string seems problematic, since each space character can be considered to separate one such zero-length entity. Should these be reconsidered to be "one or more..."?
Comment 1 Philip J├Ągenstedt 2015-03-23 03:05:30 UTC
I think in these two cases it should indeed be "one or more characters":

"A WebVTT metadata header name and a WebVTT metadata header value each consist of any sequence of zero or more characters"

"A WebVTT cue setting name and a WebVTT cue setting value each consist of any sequence of zero or more characters"

The remaining two cases are the definition of WebVTT comments and metadata text, where empty comments and cues are should not be considered invalid, IMHO.
Comment 2 Silvia Pfeiffer 2015-06-08 12:29:36 UTC
Prepared https://github.com/w3c/webvtt/pull/196
Comment 3 Silvia Pfeiffer 2015-06-08 13:01:07 UTC
Merged.
Comment 4 Addison Phillips 2015-11-23 18:38:29 UTC
Satisfied.